<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<!-- Taxonomy Calculation Linkbase File created by AppTrend - Consolia XBRL Reporting version: Consolia XBRL Office 2.11.1.0 / TM 1.6.2 -->
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
               xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"
               xmlns:link="http://www.xbrl.org/2003/linkbase"
               xmlns:xlink="http://www.w3.org/1999/xlink">
    <link:arcroleRef arcroleURI="https://xbrl.org/2023/arcrole/summation-item" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.makaronypolskie.pl/role/role_000010" xlink:href="mak-2025-12-31.xsd#role_000010" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.makaronypolskie.pl/role/ias_1_role-210000" xlink:href="mak-2025-12-31.xsd#ias_1_role-210000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.makaronypolskie.pl/role/ias_1_role-410000" xlink:href="mak-2025-12-31.xsd#ias_1_role-410000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.makaronypolskie.pl/role/ias_1_role-610000" xlink:href="mak-2025-12-31.xsd#ias_1_role-610000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.makaronypolskie.pl/role/ias_7_role-520000" xlink:href="mak-2025-12-31.xsd#ias_7_role-520000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.makaronypolskie.pl/role/Anchoring" xlink:href="mak-2025-12-31.xsd#Anchoring" xlink:type="simple"/>
    <link:calculationLink xlink:role="http://www.makaronypolskie.pl/role/role_000010" xlink:type="extended"/>
    <link:calculationLink xlink:role="http://www.makaronypolskie.pl/role/ias_1_role-210000" xlink:type="extended">
        <link:loc xlink:label="Loc_1" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Assets"/>
        <link:calculationArc xlink:from="Loc_1" xlink:to="Loc_2" order="25.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_2" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssets"/>
        <link:calculationArc xlink:from="Loc_2" xlink:to="Loc_3" order="26.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_3" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PropertyPlantAndEquipment"/>
        <link:calculationArc xlink:from="Loc_2" xlink:to="Loc_5" order="27.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_5" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Goodwill"/>
        <link:calculationArc xlink:from="Loc_2" xlink:to="Loc_6" order="28.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_6" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill"/>
        <link:calculationArc xlink:from="Loc_2" xlink:to="Loc_12" order="29.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_12" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxAssets"/>
        <link:calculationArc xlink:from="Loc_2" xlink:to="Loc_78" order="30.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_78" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAccruedIncomeOtherThanNoncurrentContractAssets"/>
        <link:calculationArc xlink:from="Loc_2" xlink:to="Loc_118" order="31.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_118" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RightofuseAssets"/>
        <link:calculationArc xlink:from="Loc_2" xlink:to="Loc_119" order="32.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_119" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentReceivablesFromSaleOfProperties"/>
        <link:calculationArc xlink:from="Loc_1" xlink:to="Loc_17" order="33.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_17" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssets"/>
        <link:calculationArc xlink:from="Loc_17" xlink:to="Loc_103" order="34.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_103" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Inventories"/>
        <link:calculationArc xlink:from="Loc_17" xlink:to="Loc_104" order="35.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_104" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentReceivables"/>
        <link:calculationArc xlink:from="Loc_17" xlink:to="Loc_105" order="36.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_105" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxAssetsCurrent"/>
        <link:calculationArc xlink:from="Loc_17" xlink:to="Loc_107" order="37.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_107" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentFinancialAssets"/>
        <link:calculationArc xlink:from="Loc_17" xlink:to="Loc_109" order="38.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_109" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalents"/>
        <link:calculationArc xlink:from="Loc_17" xlink:to="Loc_111" order="39.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_111" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentPrepaidExpenses"/>
        <link:calculationArc xlink:from="Loc_17" xlink:to="Loc_117" order="40.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_117" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners"/>
        <link:loc xlink:label="Loc_28" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAndLiabilities"/>
        <link:calculationArc xlink:from="Loc_28" xlink:to="Loc_29" order="1.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_29" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Equity"/>
        <link:calculationArc xlink:from="Loc_29" xlink:to="Loc_80" order="2.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_80" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IssuedCapital"/>
        <link:calculationArc xlink:from="Loc_29" xlink:to="Loc_81" order="3.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_81" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RetainedEarnings"/>
        <link:calculationArc xlink:from="Loc_29" xlink:to="Loc_83" order="4.0" weight="-1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_83" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TreasuryShares"/>
        <link:calculationArc xlink:from="Loc_29" xlink:to="Loc_86" order="5.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_86" xlink:type="locator"
                  xlink:href="mak-2025-12-31.xsd#mak_SharePremiumAndOtherReserves"/>
        <link:calculationArc xlink:from="Loc_29" xlink:to="Loc_87" order="6.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_87" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CapitalRedemptionReserve"/>
        <link:calculationArc xlink:from="Loc_28" xlink:to="Loc_38" order="7.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_38" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Liabilities"/>
        <link:calculationArc xlink:from="Loc_38" xlink:to="Loc_39" order="8.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_39" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLiabilities"/>
        <link:calculationArc xlink:from="Loc_39" xlink:to="Loc_44" order="9.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_44" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxLiabilities"/>
        <link:calculationArc xlink:from="Loc_39" xlink:to="Loc_46" order="10.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_46" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherNoncurrentFinancialLiabilities"/>
        <link:calculationArc xlink:from="Loc_39" xlink:to="Loc_60" order="11.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_60" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLeaseLiabilities"/>
        <link:calculationArc xlink:from="Loc_39" xlink:to="Loc_89" order="12.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_89" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentPortionOfNoncurrentLoansReceived"/>
        <link:calculationArc xlink:from="Loc_39" xlink:to="Loc_91" order="13.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_91" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentDeferredIncomeIncludingNoncurrentContractLiabilities"/>
        <link:calculationArc xlink:from="Loc_39" xlink:to="Loc_115" order="14.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_115" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentProvisionsForEmployeeBenefits"/>
        <link:calculationArc xlink:from="Loc_38" xlink:to="Loc_48" order="15.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_48" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLiabilities"/>
        <link:calculationArc xlink:from="Loc_48" xlink:to="Loc_57" order="16.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_57" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale"/>
        <link:calculationArc xlink:from="Loc_48" xlink:to="Loc_59" order="17.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_59" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLeaseLiabilities"/>
        <link:calculationArc xlink:from="Loc_48" xlink:to="Loc_74" order="18.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_74" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentPayables"/>
        <link:calculationArc xlink:from="Loc_48" xlink:to="Loc_75" order="19.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_75" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent"/>
        <link:calculationArc xlink:from="Loc_48" xlink:to="Loc_76" order="20.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_76" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentFinancialLiabilities"/>
        <link:calculationArc xlink:from="Loc_48" xlink:to="Loc_90" order="21.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_90" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"/>
        <link:calculationArc xlink:from="Loc_48" xlink:to="Loc_92" order="22.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_92" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentDeferredIncomeIncludingCurrentContractLiabilities"/>
        <link:calculationArc xlink:from="Loc_48" xlink:to="Loc_113" order="23.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_113" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentProvisionsForEmployeeBenefits"/>
        <link:calculationArc xlink:from="Loc_48" xlink:to="Loc_114" order="24.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_114" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherShorttermProvisions"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://www.makaronypolskie.pl/role/ias_1_role-410000" xlink:type="extended">
        <link:loc xlink:label="Loc_1" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome"/>
        <link:calculationArc xlink:from="Loc_1" xlink:to="Loc_47" order="1.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_47" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss"/>
        <link:calculationArc xlink:from="Loc_47" xlink:to="Loc_82" order="2.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_82" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax"/>
        <link:calculationArc xlink:from="Loc_82" xlink:to="Loc_83" order="3.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_83" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
        <link:calculationArc xlink:from="Loc_83" xlink:to="Loc_84" order="4.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_84" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GrossProfit"/>
        <link:calculationArc xlink:from="Loc_84" xlink:to="Loc_85" order="5.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_85" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Revenue"/>
        <link:calculationArc xlink:from="Loc_85" xlink:to="Loc_86" order="6.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_86" xlink:type="locator"
                  xlink:href="mak-2025-12-31.xsd#mak_RevenueFromSalesOfMerchandiseAndMaterials"/>
        <link:calculationArc xlink:from="Loc_85" xlink:to="Loc_116" order="7.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_116" xlink:type="locator"
                  xlink:href="mak-2025-12-31.xsd#mak_RevenueFromSaleOfGoodsAndRenderingOfServices"/>
        <link:calculationArc xlink:from="Loc_84" xlink:to="Loc_88" order="8.0" weight="-1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_88" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CostOfSales"/>
        <link:calculationArc xlink:from="Loc_88" xlink:to="Loc_89" order="9.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_89" xlink:type="locator"
                  xlink:href="mak-2025-12-31.xsd#mak_CostOfGoodsSoldAndServicesRendered"/>
        <link:calculationArc xlink:from="Loc_88" xlink:to="Loc_90" order="10.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_90" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CostOfMerchandiseSold"/>
        <link:calculationArc xlink:from="Loc_83" xlink:to="Loc_91" order="11.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_91" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherIncome"/>
        <link:calculationArc xlink:from="Loc_83" xlink:to="Loc_92" order="12.0" weight="-1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_92" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DistributionCosts"/>
        <link:calculationArc xlink:from="Loc_83" xlink:to="Loc_93" order="13.0" weight="-1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_93" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdministrativeExpense"/>
        <link:calculationArc xlink:from="Loc_83" xlink:to="Loc_94" order="14.0" weight="-1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_94" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherExpenseByFunction"/>
        <link:calculationArc xlink:from="Loc_82" xlink:to="Loc_103" order="15.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_103" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncome"/>
        <link:calculationArc xlink:from="Loc_82" xlink:to="Loc_104" order="16.0" weight="-1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_104" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceCosts"/>
        <link:calculationArc xlink:from="Loc_47" xlink:to="Loc_113" order="17.0" weight="-1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_113" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations"/>
        <link:calculationArc xlink:from="Loc_1" xlink:to="Loc_117" order="18.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_117" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncome"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://www.makaronypolskie.pl/role/ias_1_role-610000" xlink:type="extended"/>
    <link:calculationLink xlink:role="http://www.makaronypolskie.pl/role/ias_7_role-520000" xlink:type="extended">
        <link:loc xlink:label="Loc_97" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
        <link:calculationArc xlink:from="Loc_97" xlink:to="Loc_98" order="1.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_98" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
        <link:calculationArc xlink:from="Loc_98" xlink:to="Loc_99" order="2.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_99" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax"/>
        <link:calculationArc xlink:from="Loc_98" xlink:to="Loc_101" order="3.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_101" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsReceivedClassifiedAsOperatingActivities"/>
        <link:calculationArc xlink:from="Loc_98" xlink:to="Loc_104" order="4.0" weight="-1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_104" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities"/>
        <link:calculationArc xlink:from="Loc_98" xlink:to="Loc_106" order="5.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_106" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForReconcileProfitLoss"/>
        <link:calculationArc xlink:from="Loc_106" xlink:to="Loc_109" order="6.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_109" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories"/>
        <link:calculationArc xlink:from="Loc_106" xlink:to="Loc_114" order="7.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_114" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense"/>
        <link:calculationArc xlink:from="Loc_106" xlink:to="Loc_116" order="8.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_116" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForProvisions"/>
        <link:calculationArc xlink:from="Loc_106" xlink:to="Loc_117" order="9.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_117" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains"/>
        <link:calculationArc xlink:from="Loc_106" xlink:to="Loc_122" order="10.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_122" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets"/>
        <link:calculationArc xlink:from="Loc_106" xlink:to="Loc_124" order="11.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_124" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherAdjustmentsToReconcileProfitLoss"/>
        <link:calculationArc xlink:from="Loc_106" xlink:to="Loc_126" order="12.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_126" xlink:type="locator"
                  xlink:href="mak-2025-12-31.xsd#mak_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayablesAccruedIncomeAndDefferedIncome"/>
        <link:calculationArc xlink:from="Loc_106" xlink:to="Loc_127" order="13.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_127" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables"/>
        <link:calculationArc xlink:from="Loc_106" xlink:to="Loc_169" order="14.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_169" xlink:type="locator"
                  xlink:href="mak-2025-12-31.xsd#mak_AdjustmentsForInterestIncomeExpense"/>
        <link:calculationArc xlink:from="Loc_97" xlink:to="Loc_128" order="15.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_128" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
        <link:calculationArc xlink:from="Loc_128" xlink:to="Loc_132" order="16.0" weight="-1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_132" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCashPaymentsToAcquireEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities"/>
        <link:calculationArc xlink:from="Loc_128" xlink:to="Loc_148" order="17.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_148" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities"/>
        <link:calculationArc xlink:from="Loc_128" xlink:to="Loc_150" order="18.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_150" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities"/>
        <link:calculationArc xlink:from="Loc_128" xlink:to="Loc_151" order="19.0" weight="-1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_151" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"/>
        <link:calculationArc xlink:from="Loc_128" xlink:to="Loc_152" order="20.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_152" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"/>
        <link:calculationArc xlink:from="Loc_128" xlink:to="Loc_170" order="21.0" weight="-1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_170" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities"/>
        <link:calculationArc xlink:from="Loc_97" xlink:to="Loc_153" order="22.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_153" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
        <link:calculationArc xlink:from="Loc_153" xlink:to="Loc_156" order="23.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_156" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromIssuingShares"/>
        <link:calculationArc xlink:from="Loc_153" xlink:to="Loc_158" order="24.0" weight="-1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_158" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"/>
        <link:calculationArc xlink:from="Loc_153" xlink:to="Loc_160" order="25.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_160" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities"/>
        <link:calculationArc xlink:from="Loc_153" xlink:to="Loc_161" order="26.0" weight="-1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_161" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities"/>
        <link:calculationArc xlink:from="Loc_153" xlink:to="Loc_162" order="27.0" weight="-1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_162" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
        <link:calculationArc xlink:from="Loc_153" xlink:to="Loc_163" order="28.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_163" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromGovernmentGrantsClassifiedAsFinancingActivities"/>
        <link:calculationArc xlink:from="Loc_153" xlink:to="Loc_164" order="29.0" weight="-1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_164" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities"/>
        <link:calculationArc xlink:from="Loc_153" xlink:to="Loc_165" order="30.0" weight="-1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_165" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities"/>
        <link:calculationArc xlink:from="Loc_153" xlink:to="Loc_167" order="31.0" weight="1"
                             xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:loc xlink:label="Loc_167" xlink:type="locator"
                  xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://www.makaronypolskie.pl/role/Anchoring" xlink:type="extended"/>
</link:linkbase>